# Week 9

Remember, each week you must complete the weekly quiz, just general questions around what you have been learning on the module. These quizzes are not marked directly but you will get a mark for completing 90% of them.
> 
> **This week's quiz can be found here:**  https://go.uwe.ac.uk/cppQuiz
> 
> [This weeks lecture](https://uwe.cloud.panopto.eu/Panopto/Pages/Viewer.aspx?id=36fd6c5c-2c7e-4826-8bb4-adbb00af4adc&instance=Blackboard) and [slides](https://blackboard.uwe.ac.uk/bbcswebdav/pid-10055041-dt-content-rid-41743737_2/xid-41743737_2)
> 
## Working on

### 👉 [WORKSHEET 2](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/worksheets/worksheet2/worksheet2.md?ref_type=heads) 👈

- Continue getting familiar with a simple development environment
- Making basic usage of git for version control
- Starting to write simple expressions and statements to solve problems
- Understanding variables, literals and common types

## Have already completed ...

- Setup up your own machine for development
- Understand the basics of git for forking, cloning and pushing code.

If you have not already completed this please do so ASAP.

## By the end of the week...

... you should have completed:

* Completed [Worksheet 2](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/worksheets/worksheet2/worksheet2.md?ref_type=heads)
- Watching [This weeks lecture](https://uwe.cloud.panopto.eu/Panopto/Pages/Viewer.aspx?id=36fd6c5c-2c7e-4826-8bb4-adbb00af4adc&instance=Blackboard) and [slides](https://blackboard.uwe.ac.uk/bbcswebdav/pid-10055041-dt-content-rid-41743737_2/xid-41743737_2)
*  Submitted Worksheet 1 
- Attend a seminar 
- Attend a 2 practicals to work on worksheet 2

...you should be able to:

- Use _git_ to track and manage source files
- Write simple expressions in C++

## Resources

- [Worksheet 2](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/worksheets/worksheet2/worksheet2.md?ref_type=heads)
- [This weeks lecture](https://uwe.cloud.panopto.eu/Panopto/Pages/Viewer.aspx?id=36fd6c5c-2c7e-4826-8bb4-adbb00af4adc&instance=Blackboard) and [slides](https://blackboard.uwe.ac.uk/bbcswebdav/pid-10055041-dt-content-rid-41743737_2/xid-41743737_2)
- Guide on using [Command Line Interfaces ](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/guides/cli.md?ref_type=heads)
- [Git submissions](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/guides/git/git-submissions.md?ref_type=heads)
- [Git Reference](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/guides/git/git-reference.md?ref_type=heads)

### External
> Note the following resources are from alternative sources and so not everything shown will align with how we are working (things like using different IDEs and compilers.) They are provided as extra resources for further and more varied explantations on related topics.

- [Learn C++ variables](https://youtu.be/ZzaPdXTrSb8?si=1-fjVcn19Vt3jdFR&t=1193)
- [Derek Banas C++ ](https://www.youtube.com/watch?v=Rub-JsjMhWY&t=2487s)
- [C++ Reference (Expressions)](https://en.cppreference.com/w/cpp/language/expressions)
